#ifndef __TCHECKER_HH
#define __TCHECKER_HH
//
// Project : lib3D
// File    : TChecker.hh
// Purpose : provides checker board like texture
// Author  : Ronald Kriemann
//
// arch-tag: aaf6e666-5bc6-42ce-ae8c-aa1e65bd8515
//

#include "TTexture.hh"

namespace RGL
{

//
// defines a variable 3D checker board texture
//
class TChecker : public TTexture
{
protected:
    // colour of checker fields
    TColour  _col1, _col2;
    
    // frequency of stripes
    TVector  _freq;

    // true if smooth gradient colour should be used
    bool     _smooth;

public:
    //////////////////////////////////////////////
    //
    // constructor and destructor
    //

    TChecker ( const TColour & c1,
               const TColour & c2,
               const TVector & freq,
               bool            smooth );

    virtual ~TChecker () {}
    
    //////////////////////////////////////////////
    //
    // return colour at given point
    //

    virtual void colour ( const TVector & v, TColour & col ) const;
};

}// namespace

#endif  // __TCHECKER_HH
