#ifndef __TPOLYHEDRON_HH
#define __TPOLYHEDRON_HH
//
// Project : lib3D
// File    : TPolyhedron.hh
// Purpose : baseclass for all polyhedrons
// Author  : Ronald Kriemann
//
// arch-tag: 0ba2dd24-7c8c-4376-bed5-415e2bbf9bc1
//

#include "TGraphObject.hh"
#include "TPolygon.hh"

namespace RGL
{

//
// a polyhedron is meant as a list of panels (till now polygons)
//
class TPolyhedron : public TGraphObject
{
public:
    //////////////////////////////////////////////////
    //
    // polyhedron-specific methods
    //

    virtual int noOfPanels () const = 0;

    virtual TPolygon * panel ( int i ) = 0;
    virtual const TPolygon * panel ( int i ) const = 0;

    virtual void setPanel ( int i, const TPolygon * v ) = 0;
};

} // namespace

#endif  // __TPOLYHEDRON_HH
