//
// Project : lib3D
// File    : TVector.cc
// Purpose : class for a vector used in computer graphics (homogenous coord)
// Author  : Ronald Kriemann
//
// arch-tag: f2577b02-43ca-4cb3-bd10-0777c625155f
//

#include "TVector.hh"

namespace RGL
{

///////////////////////////////////////////////////////
//
// some standard vectors
//

const TVector VEC_X( 1, 0, 0 );
const TVector VEC_Y( 0, 1, 0 );
const TVector VEC_Z( 0, 0, 1 );
const TVector VEC_0( 0, 0, 0 );

//
// stream output
//

std::ostream &
operator << ( std::ostream & os, const TVector & v )
{
    os << "< "
       << v[0] << ", "
       << v[1] << ", "
       << v[2]
       << " >";
        
    return os;
}

}// namespace
