//
// Project : lib3D
// File    : TOrthoCamera.cc
// Purpose : Declaration of a class for central-projection
// Author  : Ronald Kriemann
//
// arch-tag: bc7205fc-332a-48a0-be44-82c3905e6d8d
//

#include "TOrthoCamera.hh"

namespace RGL
{

//////////////////////////////////////////////
//
// constructor and destructor
//

TOrthoCamera::TOrthoCamera ()
        : TCamera()
{
}

TOrthoCamera::~TOrthoCamera ()
{
}

//
// update internal data
//
void
TOrthoCamera::update ()
{
    TCamera::update();

    // upper left corner is in plane at origin
    _ulc.set( 1.0, _origin ).add( -_width/2.0, _u, _height/2.0, _v );

    // setup direction of rays
    _dir.set( 1.0, _lookat, -1.0, _origin ).normalise();
}

} // namespace

